This page was not yet optimized for use on mobile devices.
IOS Common Cryptographic Module (IC2M)
Certificate details
| Certificate ID | #4752 |
|---|---|
| Status | historical |
| Historical reason | Replaced by certificate #5356 |
| Validation dates | 07.08.2024 |
| Standard | FIPS 140-3 |
| Security level | 1 |
| Type | Firmware |
| Embodiment | Multi-Chip Stand Alone |
| Caveat | Interim Validation. When operated in approved mode. No assurance of the minimum strength of generated SSPs (e.g., keys) |
| Exceptions |
|
| Description | The IC2M module provides the FIPS validated cryptographic algorithms for services requiring those algorithms. The module does not implement any protocols directly; Instead, it provides the cryptographic primitives and functions to allow IOS to implement those various protocols. |
| Version (Firmware) | Rel5b |
| Tested configurations |
|
| Vendor | Cisco Systems, Inc. http://www.cisco.com |
| Lab | Gossamer Security Solutions |
| Algorithms |
|
| References | This certificate's webpage directly references 0 certificates, transitively this expands into 0 certificates. |
Security policy
Extracted keywords
Symmetric Algorithms
AES, AES-, AES256, CAST, Triple-DES, HMAC, CMACAsymmetric Algorithms
ECDH, ECDSA, ECC, DH, Diffie-HellmanHash functions
SHA-1, MD5Schemes
MAC, Key Exchange, Key agreement, Key AgreementProtocols
SSH, SSHv2, TLS, TLSv1.2, TLS v1.3, TLSv1.3, TLS v1.2, IKEv2, IKE, IPsecRandomness
DRBG, RBGElliptic Curves
P-256, P-384Block cipher modes
ECB, CBC, CTR, CFB, GCMTrusted Execution Environments
PSP, SSCVendor
Cisco Systems, Inc, CiscoSecurity level
Level 1, level 1Standards
FIPS 140-3, FIPS 1, FIPS PUB 18, FIPS PUB 197, FIPS PUB 186-4, FIPS 198-1, FIPS PUB 180-4, FIPS 186-4, FIPS 1403, FIPS PUB 198, NIST SP 800-38A, NIST SP 800-38B, NIST SP 800-38D, NIST SP 800-38F, NIST SP 800-140F, NIST SP 800-135, RFC7627, RFC 7627, RFC 8446, RFC 5288, RFC 4106, ISO/IEC 19790, ISO/IEC 24759:2017Automated analysis
Automated inference - use with caution
All attributes shown in this section (e.g., links between certificates, products, vendors, and known CVEs) are generated by automated heuristics and have not been reviewed by humans. These methods can produce false positives or false negatives and should not be treated as definitive without independent verification. This applies equally to the Cross-references section below. If you want to know more about how this data is computed and how reliable it is, see our documentation on automated analysis. If you believe any information here is inaccurate or harmful, please submit feedback.No automatically derived data are available in this section.
Cross-references
No references are available for this certificate.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate was first processed.
{
"_type": "sec_certs.sample.fips.FIPSCertificate",
"cert_id": 4752,
"dgst": "11b6d5d62c0c8d75",
"heuristics": {
"_type": "sec_certs.sample.fips.FIPSCertificate.Heuristics",
"algorithms": {
"_type": "Set",
"elements": [
"KDF SSHA4354",
"SHA2-512A4354",
"AES-CBCA4354",
"TLS v1.2 KDF RFC7627A4354",
"AES-CMACA4354",
"#A4354",
"KDF IKEv2A4354",
"RSA SigGen (FIPS186-4)A4354",
"RSA SigVer (FIPS186-4)A4354",
"HMAC-SHA2-256A4354",
"RSA KeyGen (FIPS186-4)A4354",
"HMAC-SHA2-384A4354",
"ECDSA KeyVer (FIPS186-4)A4354",
"AES-ECBA4354",
"AES-CFB128A4354",
"ECDSA SigVer (FIPS186-4)A4354",
"Safe Primes Key GenerationA4354",
"KAS-FFC-SSC Sp800-56Ar3A4354",
"Counter DRBGA4354",
"ECDSA SigGen (FIPS186-4)A4354",
"HMAC-SHA-1A4354",
"KAS-ECC-SSC Sp800-56Ar3A4354",
"ECDSA KeyGen (FIPS186-4)A4354",
"SHA2-384A4354",
"AES-KWA4354",
"HMAC-SHA2-512A4354",
"KDF SRTPA4354",
"TLS v1.3 KDFA4354",
"SHA-1A4354",
"KDF SNMPA4354",
"AES-GCMA4354",
"AES-GMACA4354",
"SHA2-256A4354"
]
},
"cpe_matches": null,
"direct_transitive_cves": null,
"extracted_versions": {
"_type": "Set",
"elements": [
"-"
]
},
"indirect_transitive_cves": null,
"module_processed_references": {
"_type": "sec_certs.sample.certificate.References",
"directly_referenced_by": null,
"directly_referencing": null,
"indirectly_referenced_by": null,
"indirectly_referencing": null
},
"module_prunned_references": {
"_type": "Set",
"elements": []
},
"policy_processed_references": {
"_type": "sec_certs.sample.certificate.References",
"directly_referenced_by": null,
"directly_referencing": null,
"indirectly_referenced_by": null,
"indirectly_referencing": null
},
"policy_prunned_references": {
"_type": "Set",
"elements": []
},
"related_cves": null,
"verified_cpe_matches": null
},
"pdf_data": {
"_type": "sec_certs.sample.fips.FIPSCertificate.PdfData",
"br1_deviations": 31,
"br1_tables": null,
"is_br1_format": false,
"keywords": {
"asymmetric_crypto": {
"ECC": {
"ECC": {
"ECC": 1
},
"ECDH": {
"ECDH": 8
},
"ECDSA": {
"ECDSA": 34
}
},
"FF": {
"DH": {
"DH": 10,
"Diffie-Hellman": 1
}
}
},
"certification_process": {},
"cipher_mode": {
"CBC": {
"CBC": 1
},
"CFB": {
"CFB": 1
},
"CTR": {
"CTR": 3
},
"ECB": {
"ECB": 3
},
"GCM": {
"GCM": 2
}
},
"cplc_data": {},
"crypto_engine": {},
"crypto_library": {},
"crypto_protocol": {
"IKE": {
"IKE": 2,
"IKEv2": 13
},
"IPsec": {
"IPsec": 4
},
"SSH": {
"SSH": 12,
"SSHv2": 5
},
"TLS": {
"TLS": {
"TLS": 13,
"TLS v1.2": 5,
"TLS v1.3": 6,
"TLSv1.2": 9,
"TLSv1.3": 8
}
}
},
"crypto_scheme": {
"KA": {
"Key Agreement": 1,
"Key agreement": 4
},
"KEX": {
"Key Exchange": 1
},
"MAC": {
"MAC": 4
}
},
"device_model": {},
"ecc_curve": {
"NIST": {
"P-256": 16,
"P-384": 10
}
},
"eval_facility": {},
"fips_cert_id": {},
"fips_certlike": {
"Certlike": {
"AES 17": 1,
"AES- 256": 1,
"AES-CBC 19": 1,
"AES-CMAC 22": 1,
"AES-GCM 23": 1,
"AES256": 1,
"DRBG 32": 1,
"HMAC-SHA-1": 6,
"RSA 26": 1,
"SHA-1": 5,
"SHA2-256": 9,
"SHA2-384": 2,
"SHA2-512": 3,
"SHA2-512 KAT 37": 1
}
},
"fips_security_level": {
"Level": {
"Level 1": 2,
"level 1": 1
}
},
"hash_function": {
"MD": {
"MD5": {
"MD5": 2
}
},
"SHA": {
"SHA1": {
"SHA-1": 5
}
}
},
"ic_data_group": {},
"javacard_api_const": {},
"javacard_packages": {},
"javacard_version": {},
"os_name": {},
"pq_crypto": {},
"randomness": {
"PRNG": {
"DRBG": 62
},
"RNG": {
"RBG": 1
}
},
"side_channel_analysis": {},
"standard_id": {
"FIPS": {
"FIPS 1": 1,
"FIPS 140-3": 7,
"FIPS 1403": 1,
"FIPS 186-4": 4,
"FIPS 198-1": 4,
"FIPS PUB 18": 1,
"FIPS PUB 180-4": 4,
"FIPS PUB 186-4": 7,
"FIPS PUB 197": 6,
"FIPS PUB 198": 1
},
"ISO": {
"ISO/IEC 19790": 10,
"ISO/IEC 24759:2017": 1
},
"NIST": {
"NIST SP 800-135": 6,
"NIST SP 800-140F": 1,
"NIST SP 800-38A": 3,
"NIST SP 800-38B": 1,
"NIST SP 800-38D": 2,
"NIST SP 800-38F": 1
},
"RFC": {
"RFC 4106": 1,
"RFC 5288": 1,
"RFC 7627": 4,
"RFC 8446": 3,
"RFC7627": 4
}
},
"symmetric_crypto": {
"AES_competition": {
"AES": {
"AES": 18,
"AES-": 1,
"AES256": 1
},
"CAST": {
"CAST": 2
}
},
"DES": {
"3DES": {
"Triple-DES": 2
}
},
"constructions": {
"MAC": {
"CMAC": 1,
"HMAC": 11
}
}
},
"tee_name": {
"AMD": {
"PSP": 5
},
"IBM": {
"SSC": 3
}
},
"tls_cipher_suite": {},
"vendor": {
"Cisco": {
"Cisco": 14,
"Cisco Systems, Inc": 14
}
},
"vulnerability": {}
},
"module_algorithms": {
"_type": "Set",
"elements": [
"KDF SSHA4354",
"SHA2-512A4354",
"AES-CBCA4354",
"TLS v1.2 KDF RFC7627A4354",
"AES-CMACA4354",
"KDF IKEv2A4354",
"RSA SigGen (FIPS186-4)A4354",
"RSA SigVer (FIPS186-4)A4354",
"HMAC-SHA2-256A4354",
"RSA KeyGen (FIPS186-4)A4354",
"HMAC-SHA2-384A4354",
"ECDSA KeyVer (FIPS186-4)A4354",
"AES-ECBA4354",
"AES-CFB128A4354",
"ECDSA SigVer (FIPS186-4)A4354",
"Safe Primes Key GenerationA4354",
"KAS-FFC-SSC Sp800-56Ar3A4354",
"Counter DRBGA4354",
"ECDSA SigGen (FIPS186-4)A4354",
"HMAC-SHA-1A4354",
"KAS-ECC-SSC Sp800-56Ar3A4354",
"ECDSA KeyGen (FIPS186-4)A4354",
"SHA2-384A4354",
"AES-KWA4354",
"HMAC-SHA2-512A4354",
"KDF SRTPA4354",
"TLS v1.3 KDFA4354",
"SHA-1A4354",
"KDF SNMPA4354",
"AES-GCMA4354",
"AES-GMACA4354",
"SHA2-256A4354"
]
},
"policy_algorithms": {
"_type": "Set",
"elements": [
"#A4354"
]
},
"policy_metadata": {
"/Author": "Steven Ratcliffe (steratcl)",
"/CreationDate": "D:20240806152055-04\u002700\u0027",
"/Creator": "Microsoft\u00ae Word 2016",
"/ModDate": "D:20240806152055-04\u002700\u0027",
"/Producer": "Microsoft\u00ae Word 2016",
"/Subject": "FIPS 140 Security Policy",
"/Title": "Security Policy",
"pdf_file_size_bytes": 543056,
"pdf_hyperlinks": {
"_type": "Set",
"elements": []
},
"pdf_is_encrypted": false,
"pdf_number_of_pages": 23
}
},
"state": {
"_type": "sec_certs.sample.fips.InternalState",
"module": {
"_type": "sec_certs.sample.document_state.DocumentState",
"convert_ok": true,
"download_ok": true,
"extract_ok": true,
"json_hash": null,
"source_hash": null,
"txt_hash": null
},
"policy": {
"_type": "sec_certs.sample.document_state.DocumentState",
"convert_ok": true,
"download_ok": true,
"extract_ok": true,
"json_hash": "10e06a754f9d32fe0c064acbea0c5a8b3b91b864f263f4955dd599bcbf2c7da9",
"source_hash": "ef6a2740ce78b0f130d267c5ab0bf8c4b1d05d4b199374b65efe86218f933ce2",
"txt_hash": "2432b32e0e7f79b99e8ee49fd20b05a5cc478803b4f62019eb87c6270670350b"
}
},
"web_data": {
"_type": "sec_certs.sample.fips.FIPSCertificate.WebData",
"caveat": "Interim Validation. When operated in approved mode. No assurance of the minimum strength of generated SSPs (e.g., keys)",
"certificate_pdf_url": "https://csrc.nist.gov/CSRC/media/projects/cryptographic-module-validation-program/documents/certificates/August 2024_010924_0336.pdf",
"date_sunset": null,
"description": "The IC2M module provides the FIPS validated cryptographic algorithms for services requiring those algorithms. The module does not implement any protocols directly; Instead, it provides the cryptographic primitives and functions to allow IOS to implement those various protocols.",
"embodiment": "Multi-Chip Stand Alone",
"exceptions": [
"Non-invasive security: N/A",
"Mitigation of other attacks: N/A"
],
"fw_versions": "Rel5b",
"historical_reason": "Replaced by certificate #5356",
"hw_versions": null,
"level": 1,
"mentioned_certs": {},
"module_name": "IOS Common Cryptographic Module (IC2M)",
"module_type": "Firmware",
"revoked_link": null,
"revoked_reason": null,
"standard": "FIPS 140-3",
"status": "historical",
"sw_versions": null,
"tested_conf": [
"IOS-XE 17.12 running on Cisco Aggregated Services Router (ASR) 1001-HX with Intel Xeon E3-1125C v2 processor"
],
"validation_history": [
{
"_type": "sec_certs.sample.fips.FIPSCertificate.ValidationHistoryEntry",
"date": "2024-08-07",
"lab": "Gossamer Security Solutions",
"validation_type": "Initial"
}
],
"vendor": "Cisco Systems, Inc.",
"vendor_url": "http://www.cisco.com"
}
}